## plasma-vault 5.12.1

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required (VERSION 2.8.12)

project (PlasmaVault)

set(PROJECT_VERSION "5.12.1")
set(PROJECT_VERSION_MAJOR 5)

set (PLASMAVAULT_VERSION "0.1")

set (REQUIRED_QT_VERSION 5.7.0)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "plasmavault requires an out of source build. Please create a separate build directory and run 'cmake path_to_plasma [options]' there."
   )
endif ()

# Extra CMake stuff
include (FeatureSummary)
find_package (ECM 5.17.0  NO_MODULE)
set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include (KDEInstallDirs)
include (KDECMakeSettings)
include (KDECompilerSettings)
include (GenerateExportHeader)
include (ECMGenerateHeaders)

# Qt
set (CMAKE_AUTOMOC ON)
find_package (
   Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
   COMPONENTS
      Core
      DBus
      Quick
      Widgets
   )

# KDE Frameworks
set (KF5_DEP_VERSION "5.17.0") # handled by release scripts

find_package (
   KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
   Activities
   Config
   ConfigWidgets
   CoreAddons
   DBusAddons
   I18n
   KIO
   Plasma
   WidgetsAddons
   )
find_package (KF5SysGuard REQUIRED)

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/common
   )

# Basic includes
include (CPack)

include (ECMPackageConfigHelpers)
include (ECMSetupVersion)

add_definitions (-DQT_NO_URL_CAST_FROM_STRING)
add_definitions (-DQT_NO_CAST_TO_ASCII)
add_definitions (-DTRANSLATION_DOMAIN=\"plasmavault-kde\")
add_definitions (-fexceptions)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install (po)
endif ()

# libPlasmaVault

add_subdirectory (kded)
add_subdirectory (plasma)
add_subdirectory (icons)

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-vault (5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:09:05 +0100

plasma-vault (5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:53 +0100

plasma-vault (5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:21:06 +0100

plasma-vault (5.11.4-1) experimental; urgency=medium

  * Set priority to optional
  * Bump to Standards-Version 4.1.2
  * Update Vcs fields
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:49:17 -0300

plasma-vault (5.11.4-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 28 Nov 2017 17:01:08 +0000

plasma-vault (5.11.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Nov 2017 15:04:23 +0000

plasma-vault (5.11.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 24 Oct 2017 16:33:13 +0000

plasma-vault (5.11.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2017 13:44:11 +0000

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.17.0~),
               libkf5activities-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5configwidgets-dev (>= 5.17.0~),
               libkf5coreaddons-dev (>= 5.17.0~),
               libkf5dbusaddons-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5kio-dev (>= 5.17.0~),
               libkf5plasma-dev (>= 5.17.0~),
               libkf5sysguard-dev,
               libkf5widgetsaddons-dev (>= 5.17.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.3
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.12.1")
+set(PROJECT_VERSION "5.12.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")

=== debian/changelog ===
plasma-vault (5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:54:58 +0100

plasma-vault (5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:50:08 +0000

plasma-vault (5.12.2-0ubuntu1) bionic; urgency=medium

  * Re-order debian/copyright as prompted by lintian
  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:43:43 +0000

plasma-vault (5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:13:45 +0000

plasma-vault (5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)
  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:51:12 +0000

plasma-vault (5.11.4-0ubuntu1) bionic; urgency=medium

  [ Rik Mills ]
  * Initial ubuntu release (LP: #1734217)

  [ Simon Quigley ]
  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:16:31 -0600

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 10),
               extra-cmake-modules (>= 5.42.0~),
               kio-dev (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5sysguard-dev (>= 4:5.12.4~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.4.0~),
               qtdeclarative5-dev
Standards-Version: 4.1.1
Homepage: http://cukic.co/2017/02/03/vaults-encryption-in-plasma/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault

Package: plasma-vault
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: cryfs
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_test:
	#Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
https://download.kde.org/unstable/plasma-vault/plasma-vault-([\d\.]+).tar.xz

## plasma-vault 5.12.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.12.4")
+set(PROJECT_VERSION "5.12.8")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")

=== debian/changelog ===
plasma-vault (5.12.8-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.8) (LP: #1819075)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Jul 2019 09:40:27 +0100

plasma-vault (5.12.7-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.7) (LP: #1794494)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Oct 2018 08:56:12 +0100

plasma-vault (5.12.6-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.6) (LP: #1779456)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 30 Jun 2018 18:29:42 +0100

plasma-vault (5.12.5-0ubuntu0.1) bionic; urgency=medium

  * New upstream release (5.12.5) (LP: #1768245)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 18:34:57 +0100

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,11 @@
                libkf5dbusaddons-dev (>= 5.42.0~),
                libkf5i18n-dev (>= 5.42.0~),
                libkf5plasma-dev (>= 5.42.0~),
-               libkf5sysguard-dev (>= 4:5.12.4~),
+               libkf5sysguard-dev (>= 4:5.12.8~),
                libkf5widgetsaddons-dev (>= 5.42.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.4.0~),
-               qtdeclarative5-dev
+               qtdeclarative5-dev,
 Standards-Version: 4.1.1
 Homepage: http://cukic.co/2017/02/03/vaults-encryption-in-plasma/
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault

## plasma-vault 5.13.5

=== debian/changelog ===
plasma-vault (5.13.5-1ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)
  * Merge with Debian. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks and Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:35:44 +0100

plasma-vault (5.13.5-1) unstable; urgency=medium

  * New upstream release (5.13.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 06 Sep 2018 20:40:44 +0200

plasma-vault (5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Bumped Frameworks and Plasma build deps.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 04 Sep 2018 16:06:05 +0100

plasma-vault (5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:18:20 +0200

plasma-vault (5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:43:02 +0100

plasma-vault (5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build depend on networkmanager-qt
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:26:50 +0100

plasma-vault (5.13.1-1) unstable; urgency=medium

  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Force building against the new version of libprocesscore7
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:43:22 +0200

plasma-vault (5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:32:02 +0100

plasma-vault (5.12.5-1) unstable; urgency=medium

  * New upstream release (5.12.5).
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 May 2018 13:24:10 +0200

plasma-vault (5.12.5-0ubuntu2) cosmic; urgency=medium

  * Update Kio build dependency: kio-dev -> libkf5kio-dev

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 09 Jun 2018 21:59:15 +0100

plasma-vault (5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:25:01 +0100

plasma-vault (5.12.4-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.12.4).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Mar 2018 18:12:54 +0200

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5activities-dev (>= 5.42.0~),
               libkf5config-dev (>= 5.42.0~),
               libkf5configwidgets-dev (>= 5.42.0~),
               libkf5coreaddons-dev (>= 5.42.0~),
               libkf5dbusaddons-dev (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               libkf5kio-dev (>= 5.42.0~),
               libkf5networkmanagerqt-dev (>= 5.42.0~),
               libkf5plasma-dev (>= 5.42.0~),
               libkf5sysguard-dev (>= 4:5.13.5~),
               libkf5widgetsaddons-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 5.14.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.12.8")
+set(PROJECT_VERSION "5.14.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")
 
-set (REQUIRED_QT_VERSION 5.7.0)
+set (QT_MIN_VERSION 5.11.0)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -36,7 +36,7 @@
 # Qt
 set (CMAKE_AUTOMOC ON)
 find_package (
-   Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED
+   Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED
    COMPONENTS
       Core
       DBus
@@ -59,6 +59,10 @@
    Plasma
    WidgetsAddons
    )
+find_package (KF5NetworkManagerQt ${KF5_DEP_VERSION})
+if (KF5NetworkManagerQt_FOUND)
+    set (HAVE_NETWORKMANAGER TRUE)
+endif()
 find_package (KF5SysGuard REQUIRED)
 
 include_directories (

=== kded/CMakeLists.txt ===
configure_file (config-plasma-vault.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-plasma-vault.h)

include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/engine
   )

set (
   kded_plasmavault_SRCS
   service.cpp

   engine/vault.cpp
   engine/backend_p.cpp
   engine/fusebackend_p.cpp
   engine/types.cpp
   engine/commandresult.cpp

   engine/backends/encfs/encfsbackend.cpp
   engine/backends/cryfs/cryfsbackend.cpp

   ui/dialogdsl.cpp
   ui/activitieslinkingwidget.cpp
   ui/backendchooserwidget.cpp
   ui/cryfscypherchooserwidget.cpp
   ui/directorypairchooserwidget.cpp
   ui/directorychooserwidget.cpp
   ui/namechooserwidget.cpp
   ui/noticewidget.cpp
   ui/passwordchooserwidget.cpp
   ui/offlineonlywidget.cpp
   ui/vaultdeletionwidget.cpp

   ui/vaultcreationwizard.cpp
   ui/vaultimportingwizard.cpp
   ui/vaultconfigurationdialog.cpp
   ui/mountdialog.cpp

   ../common/vaultinfo.cpp
   )

ki18n_wrap_ui (
   kded_plasmavault_SRCS
   ui/activitieslinkingwidget.ui
   ui/backendchooserwidget.ui
   ui/cryfscypherchooserwidget.ui
   ui/directorypairchooserwidget.ui
   ui/directorychooserwidget.ui
   ui/namechooserwidget.ui
   ui/noticewidget.ui
   ui/passwordchooserwidget.ui
   ui/offlineonlywidget.ui
   ui/vaultdeletionwidget.ui

   ui/vaultcreationwizard.ui
   ui/vaultimportingwizard.ui
   ui/vaultconfigurationdialog.ui
   ui/mountdialog.ui
   )

add_library (
   kded_plasmavault
   MODULE ${kded_plasmavault_SRCS}
   )

set_target_properties (
   kded_plasmavault
   PROPERTIES OUTPUT_NAME plasmavault
   )

kcoreaddons_desktop_to_json (
   kded_plasmavault plasmavault.desktop
   )

target_link_libraries (
   kded_plasmavault

   Qt5::Core
   Qt5::DBus
   Qt5::Widgets

   KF5::Activities
   KF5::ConfigCore
   KF5::ConfigWidgets
   KF5::CoreAddons
   KF5::DBusAddons
   KF5::I18n
   KF5::KIOCore
   KF5::KIOWidgets
   KF5::SysGuard
   KF5::WidgetsAddons
   KF5::ProcessCore
   )
if (HAVE_NETWORKMANAGER)
    target_link_libraries (
       kded_plasmavault
       KF5::NetworkManagerQt
    )
endif ()


install (
    TARGETS kded_plasmavault DESTINATION ${PLUGIN_INSTALL_DIR}/kf5/kded)

=== debian/changelog ===
plasma-vault (5.14.5-1) unstable; urgency=medium

  [ intrigeri ]
  * Fix typo in package description.

  [ Maximiliano Curia ]
  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:26:10 -0300

plasma-vault (5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:50 -0300

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.17.0~),
               libkf5activities-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5configwidgets-dev (>= 5.17.0~),
               libkf5coreaddons-dev (>= 5.17.0~),
               libkf5dbusaddons-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5kio-dev (>= 5.17.0~),
               libkf5networkmanagerqt-dev (>= 5.17.0~),
               libkf5plasma-dev (>= 5.17.0~),
               libkf5sysguard-dev (>= 4:5.13),
               libkf5widgetsaddons-dev (>= 5.17.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 5.15.4

=== debian/changelog ===
plasma-vault (5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:10:52 +0100

plasma-vault (5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:10:14 +0000

plasma-vault (5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:15:21 +0000

plasma-vault (5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:34:45 +0000

plasma-vault (5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:54:17 +0000

plasma-vault (5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:25:41 +0000

plasma-vault (5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:49:03 +0000

plasma-vault (5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:16:07 +0000

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5activities-dev (>= 5.54.0~),
               libkf5config-dev (>= 5.54.0~),
               libkf5configwidgets-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5dbusaddons-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5networkmanagerqt-dev (>= 5.54.0~),
               libkf5plasma-dev (>= 5.54.0~),
               libkf5sysguard-dev (>= 4:5.15.4~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework (>= 5.54.0~),
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 5.16.5

=== debian/changelog ===
plasma-vault (5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:25:32 +0100

plasma-vault (5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:46:17 +0100

plasma-vault (5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:23:33 +0100

plasma-vault (5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:24:30 +0100

plasma-vault (5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:25:29 +0100

plasma-vault (5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:37:13 +0100

plasma-vault (5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:50:20 +0100

plasma-vault (5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:49:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5activities-dev (>= 5.54.0~),
-               libkf5config-dev (>= 5.54.0~),
-               libkf5configwidgets-dev (>= 5.54.0~),
-               libkf5coreaddons-dev (>= 5.54.0~),
-               libkf5dbusaddons-dev (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
-               libkf5kio-dev (>= 5.54.0~),
-               libkf5networkmanagerqt-dev (>= 5.54.0~),
-               libkf5plasma-dev (>= 5.54.0~),
-               libkf5sysguard-dev (>= 4:5.15.4~),
-               libkf5widgetsaddons-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5activities-dev (>= 5.58.0~),
+               libkf5config-dev (>= 5.58.0~),
+               libkf5configwidgets-dev (>= 5.58.0~),
+               libkf5coreaddons-dev (>= 5.58.0~),
+               libkf5dbusaddons-dev (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
+               libkf5kio-dev (>= 5.58.0~),
+               libkf5networkmanagerqt-dev (>= 5.58.0~),
+               libkf5plasma-dev (>= 5.58.0~),
+               libkf5sysguard-dev (>= 4:5.16.5~),
+               libkf5widgetsaddons-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),

## plasma-vault 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,12 +4,12 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")
 
-set (QT_MIN_VERSION 5.11.0)
+set (QT_MIN_VERSION 5.12.0)
 
 # We don't build in-source
 if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
@@ -21,7 +21,11 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.17.0  NO_MODULE)
+
+# KDE Frameworks
+set (KF5_DEP_VERSION "5.17.0") # handled by release scripts
+
+find_package (ECM ${KF5_DEP_VERSION}  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -32,7 +36,11 @@
 include (KDECompilerSettings)
 include (GenerateExportHeader)
 include (ECMGenerateHeaders)
-
+include(KDEClangFormat)
+if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
+   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
+   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+endif()
 # Qt
 set (CMAKE_AUTOMOC ON)
 find_package (
@@ -43,9 +51,6 @@
       Quick
       Widgets
    )
-
-# KDE Frameworks
-set (KF5_DEP_VERSION "5.17.0") # handled by release scripts
 
 find_package (
    KF5 ${KF5_DEP_VERSION} REQUIRED COMPONENTS
@@ -89,6 +94,11 @@
 add_subdirectory (kded)
 add_subdirectory (plasma)
 add_subdirectory (icons)
+add_subdirectory (fileitemplugin)
+
+# add clang-format target for all our real source files
+file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
 
 # Write out the features
 feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
plasma-vault (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:47:47 +0100

plasma-vault (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:09:16 +0000

plasma-vault (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:31:21 +0000

plasma-vault (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:38:10 +0000

plasma-vault (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:45:25 +0000

plasma-vault (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:09:25 +0000

plasma-vault (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:46:03 +0000

plasma-vault (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:25:15 +0000

plasma-vault (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:06:00 +0000

plasma-vault (5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:51:15 +0000

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,18 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.58.0~),
-               libkf5activities-dev (>= 5.58.0~),
-               libkf5config-dev (>= 5.58.0~),
-               libkf5configwidgets-dev (>= 5.58.0~),
-               libkf5coreaddons-dev (>= 5.58.0~),
-               libkf5dbusaddons-dev (>= 5.58.0~),
-               libkf5i18n-dev (>= 5.58.0~),
-               libkf5kio-dev (>= 5.58.0~),
-               libkf5networkmanagerqt-dev (>= 5.58.0~),
-               libkf5plasma-dev (>= 5.58.0~),
-               libkf5sysguard-dev (>= 4:5.16.5~),
-               libkf5widgetsaddons-dev (>= 5.58.0~),
+               extra-cmake-modules (>= 5.66.0~),
+               libkf5activities-dev (>= 5.66.0~),
+               libkf5config-dev (>= 5.66.0~),
+               libkf5configwidgets-dev (>= 5.66.0~),
+               libkf5coreaddons-dev (>= 5.66.0~),
+               libkf5dbusaddons-dev (>= 5.66.0~),
+               libkf5i18n-dev (>= 5.66.0~),
+               libkf5kio-dev (>= 5.66.0~),
+               libkf5networkmanagerqt-dev (>= 5.66.0~),
+               libkf5plasma-dev (>= 5.66.0~),
+               libkf5sysguard-dev (>= 4:5.18.4.1~),
+               libkf5widgetsaddons-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.7.0~),
                qtdeclarative5-dev (>= 5.7.0~),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

## plasma-vault 5.18.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")
@@ -37,10 +37,6 @@
 include (GenerateExportHeader)
 include (ECMGenerateHeaders)
 include(KDEClangFormat)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x060000)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
 # Qt
 set (CMAKE_AUTOMOC ON)
 find_package (

=== fileitemplugin/CMakeLists.txt ===

kcoreaddons_add_plugin(
    plasmavaultfileitemaction
    SOURCES plasmavaultfileitemaction.cpp
    JSON plasmavaultfileitemaction.json
    INSTALL_NAMESPACE "kf5/kfileitemaction")

target_link_libraries(plasmavaultfileitemaction
    KF5::I18n
    KF5::KIOWidgets)

=== debian/changelog ===
plasma-vault (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:17:07 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5kio-dev (>= 5.66.0~),
                libkf5networkmanagerqt-dev (>= 5.66.0~),
                libkf5plasma-dev (>= 5.66.0~),
-               libkf5sysguard-dev (>= 4:5.18.4.1~),
+               libkf5sysguard-dev (>= 4:5.18.4~),
                libkf5widgetsaddons-dev (>= 5.66.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.7.0~),

## plasma-vault 5.19.5

=== debian/changelog ===
plasma-vault (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:55:04 +0100

plasma-vault (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:43:33 +0100

plasma-vault (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 14:00:52 +0100

plasma-vault (5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * Add runtime depend on qml-module-org-kde-kirigami2
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)
  * Add upstream_fix-kde-bug-422684.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:52 +0100

plasma-vault (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:41:53 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               libkf5activities-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5dbusaddons-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5networkmanagerqt-dev (>= 5.70.0~),
               libkf5plasma-dev (>= 5.70.0~),
               libkf5sysguard-dev (>= 4:5.19.5~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
Standards-Version: 4.1.4
Homepage: https://www.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-vault

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework (>= 5.54.0~),
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plasma applet and services for creating encrypted vaults
 File enryption widget.

## plasma-vault 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 project (PlasmaVault)
 
-set(PROJECT_VERSION "5.18.5")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 set (PLASMAVAULT_VERSION "0.1")
@@ -23,13 +23,13 @@
 include (FeatureSummary)
 
 # KDE Frameworks
-set (KF5_DEP_VERSION "5.17.0") # handled by release scripts
+set (KF5_DEP_VERSION "5.72.0") # handled by release scripts
 
 find_package (ECM ${KF5_DEP_VERSION}  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include (KDEInstallDirs)
 include (KDECMakeSettings)
@@ -64,7 +64,7 @@
 if (KF5NetworkManagerQt_FOUND)
     set (HAVE_NETWORKMANAGER TRUE)
 endif()
-find_package (KF5SysGuard REQUIRED)
+find_package (KSysGuard REQUIRED)
 
 include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}

=== kded/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,7 @@
 
    engine/backends/encfs/encfsbackend.cpp
    engine/backends/cryfs/cryfsbackend.cpp
+   engine/backends/gocryptfs/gocryptfsbackend.cpp
 
    ui/dialogdsl.cpp
    ui/activitieslinkingwidget.cpp
@@ -86,9 +87,9 @@
    KF5::I18n
    KF5::KIOCore
    KF5::KIOWidgets
-   KF5::SysGuard
    KF5::WidgetsAddons
-   KF5::ProcessCore
+   KSysGuard::SysGuard
+   KSysGuard::ProcessCore
    )
 if (HAVE_NETWORKMANAGER)
     target_link_libraries (

=== plasma/CMakeLists.txt ===

set (
   plasmavault_SRCS

   vaultapplet.cpp
   vaultsmodel.cpp

   ../common/vaultinfo.cpp
   )

set_source_files_properties (
   ../common/org.kde.plasmavault.xml
   PROPERTIES
   INCLUDE ../common/vaultinfo.h
   )

qt5_add_dbus_interface (
   plasmavault_SRCS
   ../common/org.kde.plasmavault.xml
   plasmavault_interface
   )

add_library (
    plasma_applet_vault
    MODULE ${plasmavault_SRCS}
    )

kcoreaddons_desktop_to_json (
   plasma_applet_vault
   package/metadata.desktop
   SERVICE_TYPES plasma-applet.desktop
   )

target_link_libraries (
   plasma_applet_vault

   Qt5::Gui
   Qt5::DBus

   KF5::Activities
   KF5::I18n
   KF5::Plasma
   )

install (
   TARGETS plasma_applet_vault
   DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/applets
   )

plasma_install_package (package org.kde.plasma.vault)

=== debian/changelog ===
plasma-vault (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-vault (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:38 +0900

plasma-vault (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:33 +0900

plasma-vault (5.19.5-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Fix dependency version for ksysguard build dep.

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 04:25:13 +0900

plasma-vault (5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:24 +0900

plasma-vault (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:43 +0900

plasma-vault (5.19.5-1) experimental; urgency=medium

  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 18:47:18 +0900

plasma-vault (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Norbert Preining ]
  * Remove Max from Uploaders as requested on IRC, add Scarlett.
  * Update build-deps with the info from cmake.
  * Bump compat level to 13.
  * Enable team builder to be able to build on salsa.
  * Add Rules-Requires-Root field to control.
  * Remove not needed injection of linker flags.
  * Enable build hardening.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update Upstream-Contact in debian/copyright.

 -- Norbert Preining <norbert@preining.info>  Mon, 05 Oct 2020 21:24:57 +0900

plasma-vault (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:20:15 +0100

plasma-vault (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove empty lines at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 19 Jan 2020 11:15:09 +0100

=== debian/control ===
Source: plasma-vault
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.72.0~),
               gettext,
               libkf5activities-dev (>= 5.72.0~),
               libkf5config-dev (>= 5.72.0~),
               libkf5configwidgets-dev (>= 5.72.0~),
               libkf5coreaddons-dev (>= 5.72.0~),
               libkf5dbusaddons-dev (>= 5.72.0~),
               libkf5i18n-dev (>= 5.72.0~),
               libkf5kio-dev (>= 5.72.0~),
               libkf5networkmanagerqt-dev (>= 5.72.0~),
               libkf5plasma-dev (>= 5.72.0~),
               libkf5sysguard-dev (>= 4:5.19~),
               libkf5widgetsaddons-dev (>= 5.72.0~),
               pkg-kde-tools (>= 0.15~),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~)
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/plasma/plasma-vault
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/plasma-vault.git
Rules-Requires-Root: no

Package: plasma-vault
Architecture: any
Depends: cryfs,
         encfs,
         plasma-framework,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Plasma applet and services for creating encrypted vaults
 File encryption widget.

## plasma-vault 5.21.4

=== debian/changelog ===
plasma-vault (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:11:04 +0100

plasma-vault (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:35:34 +0000

plasma-vault (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:13:59 +0000

plasma-vault (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:07:32 +0000

plasma-vault (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:23:16 +0000

plasma-vault (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:46:14 +0000

=== debian/control ===
--- 
+++ 
@@ -18,11 +18,11 @@
                libkf5kio-dev (>= 5.72.0~),
                libkf5networkmanagerqt-dev (>= 5.72.0~),
                libkf5plasma-dev (>= 5.72.0~),
-               libkf5sysguard-dev (>= 4:5.19~),
+               libkf5sysguard-dev (>= 4:5.21.4~),
                libkf5widgetsaddons-dev (>= 5.72.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.12.0~),
-               qtdeclarative5-dev (>= 5.12.0~)
+               qtdeclarative5-dev (>= 5.12.0~),
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/plasma-vault
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/plasma-vault

## plasma-vault 5.22.5

=== debian/changelog ===
plasma-vault (5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:50:44 +0200

plasma-vault (5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:44:25 +0100

plasma-vault (5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:07:57 +0100

plasma-vault (5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:56:35 +0100

plasma-vault (5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:59:29 +0100

plasma-vault (5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:11:57 +0100

plasma-vault (5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:54:38 +0100

plasma-vault (5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:03:58 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.72.0~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5activities-dev (>= 5.72.0~),
-               libkf5config-dev (>= 5.72.0~),
-               libkf5configwidgets-dev (>= 5.72.0~),
-               libkf5coreaddons-dev (>= 5.72.0~),
-               libkf5dbusaddons-dev (>= 5.72.0~),
-               libkf5i18n-dev (>= 5.72.0~),
-               libkf5kio-dev (>= 5.72.0~),
-               libkf5networkmanagerqt-dev (>= 5.72.0~),
-               libkf5plasma-dev (>= 5.72.0~),
-               libkf5sysguard-dev (>= 4:5.21.4~),
-               libkf5widgetsaddons-dev (>= 5.72.0~),
+               libkf5activities-dev (>= 5.82.0~),
+               libkf5config-dev (>= 5.82.0~),
+               libkf5configwidgets-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.82.0~),
+               libkf5dbusaddons-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5kio-dev (>= 5.82.0~),
+               libkf5networkmanagerqt-dev (>= 5.82.0~),
+               libkf5plasma-dev (>= 5.82.0~),
+               libkf5sysguard-dev (>= 4:5.22.5~),
+               libkf5widgetsaddons-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15~),
                qtbase5-dev (>= 5.12.0~),
                qtdeclarative5-dev (>= 5.12.0~),
